package com.qmth.teachcloud.common.enums;

import java.util.ArrayList;
import java.util.List;

/**
 * 模板-分类
 * @Date: 2021/3/23.
 */
public enum ClassifyEnum {

    CARD("通卡"),
    SIGN("签到表"),
    PACKAGE("卷袋贴"),
    CHECK_IN("登记表");

    ClassifyEnum(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (ClassifyEnum value : ClassifyEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
